export default{
    /**
     * 手机号验证
     */
    checkPhone: (rule, value, callback) => {
        if (!value) {
            return callback(new Error('手机号不能为空'));
        } else {
            const reg = /^1[3|4|5|6|7|8|9][0-9]\d{8}$/
            if (reg.test(value)) {
                callback();
            } else {
                return callback(new Error('请输入正确的手机号'));
            }
        }
      },
  
      /**
       * 验证码验证
       */
      checkCode:(rule, value, callback) => {
        if (!value) {
            return callback(new Error('验证码不能为空'));
        } else {
            const reg = /^\d{6}$/
            if (reg.test(value)) {
                callback();
            } else {
                return callback(new Error('请输入正确的验证码'));
            }
        }
      },
  
      /**
       * 登录密码
       */
      memberPassword:(rule, value, callback) => {
        if (!value) {
          return callback(new Error('密码不能为空'));
        } else {
            const reg = /^.{6,18}$/
            if (reg.test(value)) {
                callback();
            } else {
                return callback(new Error('密码是有6到20字符组成'));
            }
        }
      },

      /**
       * 字段不为空
       */
      noEmpty:(rule, value, callback) => {
        if (!value) {
            return callback(new Error('不能为空'));
        } else {
            callback();
        }
      },

      /**
       * 图片不为空
       */
      noEmptytu:(rule, value, callback) => {
        if (!value) {
            return callback(new Error('图片不能为空'));
        } else {
            callback();
        }
      },

      /**
       * 身份证号码验证
       */
      memberCard:(rule, value, callback) => {
        if (!value) {
            return callback(new Error('不能为空'));
        } else {
            var regIdNo = /(^\d{15}$)|(^\d{18}$)|(^\d{17}(\d|X|x)$)/;
            if (regIdNo.test(value)) {
                callback();
            } else {
                return callback(new Error('请输入正确的身份证号码'));
            }
        }
      },

      /**
       *邮箱验证
       */
      emailRules:(rule, value, callback) => {
        if (!value) {
            callback();
        } else {
           var regIdNo = /(^\w+([-+.]\w+)*@\w+([-.]\w+)*\.\w+([-.]\w+)*$)/;
            if (regIdNo.test(value)) {
                callback();
            } else {
                return callback(new Error('请输入正确的邮箱'));
            }
        }
      }
}